For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • GETList Registered Users
      • POSTCreate Registered User
      • GETGet Registered User
      • DELDelete Registered User
      • PATCHUpdate Registered User
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerRegistered Users

Get Registered User

GET
https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id
GET
/api/v1/registered-users/:registered_user_id
$curl https://ah-api.merge.dev/api/v1/registered-users/134e0111-0f67-44f6-98f0-597000290bb3 \
> -H "Authorization: Bearer <token>"
200User Response
1{
2 "id": "91b2b905-e866-40c8-8be2-efe53827a0aa",
3 "origin_user_id": "user1234",
4 "shared_credential_group": {
5 "origin_company_id": "merge-1234",
6 "origin_company_name": "Merge",
7 "custom_groupings": {
8 "department": "engineering"
9 }
10 },
11 "authenticated_connectors": [
12 "linear",
13 "jira",
14 "slack"
15 ],
16 "origin_user_name": "Yash",
17 "user_type": "HUMAN",
18 "is_test": false
19}
Retrieves a Registered User by ID
Was this page helpful?
Previous

Create Registered User

Next

Delete Registered User

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

registered_user_idstringRequiredformat: "uuid"
Agent Handler ID of the Registered User

Response

idstringRead-only
origin_user_idstringRead-only
Unique identifier for Registered User
shared_credential_groupobject
Object used to identify which the groupings a Registered User is part of and can share credentials across.
authenticated_connectorslist of stringsRead-only
List of connector slugs that the user has authenticated with
origin_user_namestringDefaults to Yash
The human readable name of Registered User
user_typestringDefaults to HUMAN

ENUM of HUMAN or SYSTEM

is_testbooleanDefaults to false
Whether this is a test user or production user